Bug 1722187 - Glusterd Seg faults (sig 11) when RDMA used with MLNX_OFED
Summary: Glusterd Seg faults (sig 11) when RDMA used with MLNX_OFED
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-19 15:53 UTC by ryan
Modified: 2019-07-15 07:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-15 07:24:19 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
Glusterd --debug output (202.98 KB, text/plain)
2019-06-19 15:53 UTC, ryan
no flags Details

Description ryan 2019-06-19 15:53:24 UTC
Created attachment 1582317 [details]
Glusterd --debug output

Description of problem:
Glusterd service fails with signal 11 after installing MLNX_OFED packages when RDMA used for transport.

Version-Release number of selected component (if applicable):
Gluster 6.1

How reproducible:
100% on 2/2 nodes

Steps to Reproduce:
1. Install Glusterfs-server & glusterfs-rdma (6.1)
2. Install MLNX_OFED packages with './mlnxofedinstall --all'

Installing with --all flag installs the following packages:
libibverbs, libibumad,
librdmacm, mft, mstflint, diagnostic tools, OpenSM,
ib-bonding, MVAPICH, Open MPI, MPI tests, MPI selector, perftest, sdpnetstat and libsdp srptools, rdstools, static and dynamic libraries

3.Create Gluster volume with RDMA transport
4. Restart Glusterd service

Actual results:
Service fails with segmentation fault and core dumps

Expected results:
Service starts successfully

Additional info:
Debug log attached
Core dump on this link: https://drive.google.com/file/d/10TNUtnTjpXGe1AaJzW4CAg9dTAe6hX_U/view?usp=sharing

Comment 1 ryan 2019-06-24 11:53:38 UTC
After some more testing, I've found that:
- Issue goes away if the MLNX_OFED package is uninstalled
- Issue exists even if all Gluster volumes are set to TCP transport

Comment 2 Amar Tumballi 2019-07-15 07:24:19 UTC
Hi Ryan,

RDMA will not be supported from glusterfs-8.0, and hence marking this bug as
WONTFIX/EOL.

(ref: https://review.gluster.org/23033)


Note You need to log in before you can comment on or make changes to this bug.